Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class RemoteBindingTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.RemoteBindingTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, RemoteBindingType<T>

    public class RemoteBindingTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, RemoteBindingType<T>

This class implements the `remote-bindingType` xsd type

Original Documentation:

Element for specifying the remote jndi binding for a bean as well
as the client interceptor stack

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`RemoteBindingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`RemoteBindingTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getClientBindUrl()` Returns the `client-bind-url` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getInterceptorStack()` Returns the `interceptor-stack` element
`java.lang.String` | `getInvokerName()` Returns the `invoker-name` element
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`RemoteBindingType<T>` | `removeAllDescription()` Removes the `description` element
`RemoteBindingType<T>` | `removeClientBindUrl()` Removes the `client-bind-url` element
`RemoteBindingType<T>` | `removeInterceptorStack()` Removes the `interceptor-stack` element
`RemoteBindingType<T>` | `removeInvokerName()` Removes the `invoker-name` element
`RemoteBindingType<T>` | `removeJndiName()` Removes the `jndi-name` element
`RemoteBindingType<T>` | `setClientBindUrl(java.lang.String clientBindUrl)` If not already created, a new `client-bind-url` element with the given value will be created.
`RemoteBindingType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`RemoteBindingType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`RemoteBindingType<T>` | `setInterceptorStack(java.lang.String interceptorStack)` If not already created, a new `interceptor-stack` element with the given value will be created.
`RemoteBindingType<T>` | `setInvokerName(java.lang.String invokerName)` If not already created, a new `invoker-name` element with the given value will be created.
`RemoteBindingType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteBindingTypeImpl

    public RemoteBindingTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node)

### RemoteBindingTypeImpl

    public RemoteBindingTypeImpl(T t,
                                 java.lang.String nodeName,
                                 org.jboss.shrinkwrap.descriptor.spi.Node node,
                                 org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public RemoteBindingType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### setDescriptionList

    public RemoteBindingType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `RemoteBindingType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `RemoteBindingType`

### removeAllDescription

    public RemoteBindingType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `RemoteBindingType<T>`
  Returns:
    list of `description`

### setJndiName

    public RemoteBindingType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### removeJndiName

    public RemoteBindingType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `RemoteBindingType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setClientBindUrl

    public RemoteBindingType<T> setClientBindUrl(java.lang.String clientBindUrl)

  If not already created, a new `client-bind-url` element with the given value will be created. Otherwise, the existing `client-bind-url` element will be updated with the given value.

  Specified by:
    `setClientBindUrl` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### removeClientBindUrl

    public RemoteBindingType<T> removeClientBindUrl()

  Removes the `client-bind-url` element

  Specified by:
    `removeClientBindUrl` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### getClientBindUrl

    public java.lang.String getClientBindUrl()

  Returns the `client-bind-url` element

  Specified by:
    `getClientBindUrl` in interface `RemoteBindingType<T>`
  Returns:
    the node defined for the element `client-bind-url`

### setInterceptorStack

    public RemoteBindingType<T> setInterceptorStack(java.lang.String interceptorStack)

  If not already created, a new `interceptor-stack` element with the given value will be created. Otherwise, the existing `interceptor-stack` element will be updated with the given value.

  Specified by:
    `setInterceptorStack` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### removeInterceptorStack

    public RemoteBindingType<T> removeInterceptorStack()

  Removes the `interceptor-stack` element

  Specified by:
    `removeInterceptorStack` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### getInterceptorStack

    public java.lang.String getInterceptorStack()

  Returns the `interceptor-stack` element

  Specified by:
    `getInterceptorStack` in interface `RemoteBindingType<T>`
  Returns:
    the node defined for the element `interceptor-stack`

### setInvokerName

    public RemoteBindingType<T> setInvokerName(java.lang.String invokerName)

  If not already created, a new `invoker-name` element with the given value will be created. Otherwise, the existing `invoker-name` element will be updated with the given value.

  Specified by:
    `setInvokerName` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### removeInvokerName

    public RemoteBindingType<T> removeInvokerName()

  Removes the `invoker-name` element

  Specified by:
    `removeInvokerName` in interface `RemoteBindingType<T>`
  Returns:
    the current instance of `RemoteBindingType`

### getInvokerName

    public java.lang.String getInvokerName()

  Returns the `invoker-name` element

  Specified by:
    `getInvokerName` in interface `RemoteBindingType<T>`
  Returns:
    the node defined for the element `invoker-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD